TR2POST(1)

NAME
tr2post - convert troff intermediate to PostScript

SYNOPSIS
tr2post [ options ] [ files ... ]

DESCRIPTION
Tr2post converts files (or standard input), which should be the device-independent output of troff((1)), into the PostScript printer language.

The options are:

-a aspectratio
    Set an aspect ratio (y/x) to stretch the PostScript output (default 1.0).

-c copies
    Set a comment in the PostScript output marking the number of copies that should be printed. The comment is intended for ancient versions of the Unix lp(1) and is not recognized by any current printer or print spooler.

-d  Emit volumes of debugging output on standard error.

-m magnification
    Magnify the PostScript output (default 1.0).

-n formsperpage
    Print the PostScript with formsperpage logical pages per physical page (default 1). Using this option emits PostScript with invalid document structuring comments. It will print fine but will not view correctly in gv((1)) or psv (see page((1))).

-o pagelist
    Print only the pages in the pagelist, which is a comma-separated list of ranges. Each range is of the form p (just page p), p-q (pages p through q), -p (pages 1 through p), or p- (pages p through the end of the document).

-p l
    Print the document in landscape mode. An argument that does not begin with will print the document in portrait mode.

-x xoffset
    Translate the page output by xoffset inches to the right. (Negative offsets translate to the left.)

-y yoffset
    Translate the page output by yoffset inches down. (Negative offsets translate up.)

-P pscode
    Emit the text pscode at the end of the usual PostScript header.

EXAMPLE
Preview this manual page:

        troff -man /man/man1/tr2post.1 |
        tr2post |
        psfonts >/tmp/a.ps
        psv /tmp/a.ps

SOURCE
/src/cmd/postscript/tr2post

SEE ALSO
troff((1)), psfonts((1))